diff --git a/spring-boot-autoconfigure/src/main/java/org/springframework/boot/autoconfigure/web/DefaultErrorViewResolver.java b/spring-boot-autoconfigure/src/main/java/org/springframework/boot/autoconfigure/web/DefaultErrorViewResolver.java
index 5e71cba1c4d..0bf9a78f987 100644
--- a/spring-boot-autoconfigure/src/main/java/org/springframework/boot/autoconfigure/web/DefaultErrorViewResolver.java
+++ b/spring-boot-autoconfigure/src/main/java/org/springframework/boot/autoconfigure/web/DefaultErrorViewResolver.java
@@ -26,7 +26,6 @@
 import org.springframework.boot.autoconfigure.template.TemplateAvailabilityProvider;
 import org.springframework.boot.autoconfigure.template.TemplateAvailabilityProviders;
 import org.springframework.context.ApplicationContext;
-import org.springframework.context.annotation.AnnotationConfigApplicationContext;
 import org.springframework.core.Ordered;
 import org.springframework.core.io.Resource;
 import org.springframework.http.HttpStatus;
@@ -99,14 +98,6 @@ public DefaultErrorViewResolver(ApplicationContext applicationContext,
 		this.templateAvailabilityProviders = templateAvailabilityProviders;
 	}
 
-	DefaultErrorViewResolver(AnnotationConfigApplicationContext applicationContext,
-			ResourceProperties resourceProperties,
-			TemplateAvailabilityProviders templateAvailabilityProviders) {
-		this.applicationContext = applicationContext;
-		this.resourceProperties = resourceProperties;
-		this.templateAvailabilityProviders = templateAvailabilityProviders;
-	}
-
 	@Override
 	public ModelAndView resolveErrorView(HttpServletRequest request, HttpStatus status,
 			Map<String, Object> model) {
